--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Relationship class with implementation specific to n side of 1 to n association
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: OPTIONS
  value: superclass::OPTIONS.dup << :nullable
full_name: DataMapper::Associations::ManyToOne::Relationship
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: child_key
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: nullable?
- !ruby/object:RI::MethodSummary 
  name: resource_for
- !ruby/object:RI::MethodSummary 
  name: set
- !ruby/object:RI::MethodSummary 
  name: source_key
name: Relationship
superclass: Associations::Relationship
